Public Class dSAPT_EspecialidadBusinessObject
    Inherits BusinessObject(Of dSAPT_Especialidad)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New dSAPT_EspecialidadDbHelper
    End Sub

    Public Sub New(ByVal entity As dSAPT_Especialidad)
        MyBase.New(entity)
        DbHelper = New dSAPT_EspecialidadDbHelper
    End Sub

    Public Sub New(ByVal idEspecialidad As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idEspecialidad = idEspecialidad
        Dim Entity_Aux As dSAPT_Especialidad = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As dSAPT_EspecialidadBusinessObject
    Protected Shared Function GetDdHelperInstance() As dSAPT_EspecialidadDbHelper
        If _Instance Is Nothing Then
            _Instance = New dSAPT_EspecialidadBusinessObject
        End If
    Return CType(_Instance.DbHelper, dSAPT_EspecialidadDbHelper)
    End Function

    Public Shared Function GetListdSAPT_Especialidad(Optional ByVal foreignLevel As Integer=0) As EntityList(Of dSAPT_Especialidad)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListdSAPT_EspecialidadBydSAPT_Puesto(ByVal COD_INSPTO as String, Optional ByVal foreignLevel As Integer=0) As EntityList(Of dSAPT_Especialidad)
        Return GetDdHelperInstance.GetListdSAPT_EspecialidadBydSAPT_Puesto(COD_INSPTO, foreignLevel)
    End Function

    Public Shared Function GetListdSAPT_EspecialidadBydSAPT_Requerimiento(ByVal REQ_CODIGO as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of dSAPT_Especialidad)
        Return GetDdHelperInstance.GetListdSAPT_EspecialidadBydSAPT_Requerimiento(REQ_CODIGO, foreignLevel)
    End Function

#End Region
End Class
